## tuxpaint 0.9.21-1maemo6

=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo6) unstable; urgency=low

  * fixed bugtracker address

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed,  21 Apr 2010 11:04:59 +0300
