## tuxpaint 0.9.21-1maemo7

=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo7) unstable; urgency=low

  * fixed issue with description

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed,  21 Apr 2010 19:04:59 +0300
