## tuxpaint 0.9.21-1maemo8

=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo8) unstable; urgency=low

  * fixed menu icon

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon,  26 Apr 2010 12:04:59 +0300
