## tuxpaint 0.9.21-1maemo9

=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo9) unstable; urgency=low

  * fixed creation of tuxpaint/saved (during installation)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  06 Jun 2013 09:51:59 +0300
