=== debian/changelog ===
tuxpaint (1:0.9.22-7) unstable; urgency=medium

  * debian/copyright:
    - Fix typo s/Licence/License/g
    - Add long descriptions to machine readable copyright file

 -- Jonathan Carter <jcc@debian.org>  Tue, 17 Oct 2017 13:31:31 +0200

tuxpaint (1:0.9.22-6) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTCBFS: Let dh_auto_build pass cross compilers to make.
    (Closes: #878471)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 14 Oct 2017 00:22:33 +0200

tuxpaint (1:0.9.22-5) unstable; urgency=medium

  * Adopting package (Closes: #848988)
    - Thanks to Ben Armstrong and previous maintainers
  * Update compat from 5 to 10
  * Update standards version to 4.1.1
    - Extend description of tuxpaint-dev binary package
    - Upgrade copyright file to copyright format 1.0
    - Set hardening=+all
    - Install bash completion file to correct path
    - Add desktop keywords to .desktop file
    - Remove obsolete menu file
  * wrap-and-sort
  * Patch manpages to fix spelling s/SYNOPSYS/SYNOPSIS/g

 -- Jonathan Carter <jcc@debian.org>  Wed, 23 Aug 2017 11:52:24 +0200

tuxpaint (1:0.9.22-4) unstable; urgency=medium

  * QA upload.
  * tuxpaint-data: Switch Suggests from metapackage fonts-thai-tlwg to
    fonts-tlwg-garuda-otf, the actual provider of Garuda-Bold.otf.
  * Fix minor issues found by lintian.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 May 2017 09:46:32 +0200

tuxpaint (1:0.9.22-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #848988)
  * Apply patch from Chris Lamb to make the build reproducible.
    (Closes: #834109)

 -- Adrian Bunk <bunk@debian.org>  Sun, 22 Jan 2017 12:03:47 +0200

tuxpaint (1:0.9.22-2) unstable; urgency=low

  * Add missing data: osk, im. Fixes crash when onscreen keyboard
    used. Thanks to Pere Pujal for pointing this out on irc.
    (Closes: #775101)
  * Add missing bash completion, docs and templates.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 10 Jan 2015 19:45:14 -0400

tuxpaint (1:0.9.22-1) unstable; urgency=low

  * New upstream release. (Closes: #722933)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Dependencies fixed.
    (Closes: #619724, #648787, #726580, #731728, #738252, #741671, #741691)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 26 Oct 2014 09:20:50 -0300

tuxpaint (1:0.9.21-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with binutils-gold. Thanks to Georgios M. Zarkadas for the
    patch. (Closes: #556509)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 04 Dec 2011 14:04:49 +0100

tuxpaint (1:0.9.21-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 09 Aug 2009 11:17:59 -0300

tuxpaint (1:0.9.20-2) unstable; urgency=low

  * Fix upgrade from old tuxpaint-data containing files moved
    into tuxpaint-plugins-default. (Closes: #490101)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed, 09 Jul 2008 17:43:16 -0300

tuxpaint (1:0.9.20-1) unstable; urgency=low

  * New upstream release.
  * Fix copyright, including all copyright notices for fonts.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 07 Jul 2008 19:35:12 -0300

tuxpaint (1:0.9.19-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 08 Jun 2008 12:42:15 -0300

tuxpaint (1:0.9.17-1.1) unstable; urgency=low

  * Non-maintainer upload to fix bashism.
  * Fixed bashism in tuxpaint-import.sh (Closes: #465374)
  * Added dh_icons to correctly call update-icon-caches (Closes: #461496)
  * Updated debhelper dependecy version to make sure dh_icons is available. 
  * Removed executable permissions to
    /usr/share/tuxpaint/starters/skyline-sf-dusk-back.jpeg
  * Cleaned up manpage useless wrong command.
  * Moved desktop file to /usr/share/applications instead of /usr/share/gnome
    and /usr/share/applnk.
  * Updated Standards-Version to 3.7.3:
    + Updated menu file to use the new "Applications" tree

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Sat, 08 Mar 2008 19:25:39 -0200

tuxpaint (1:0.9.17-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 03 Jul 2007 13:58:30 -0300

tuxpaint (1:0.9.16-2) unstable; urgency=low

  * Updated README.Debian to make it clearer that locales must be configured
    for languages to work.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  3 May 2007 08:23:49 -0300

tuxpaint (1:0.9.16-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 22 Oct 2006 11:46:04 -0300

tuxpaint (1:0.9.15+0.9.16rc5-3) unstable; urgency=low

  * Replace subset of wangfonts Traditional Chinese font with ttf-arphic-uming.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 14 Oct 2006 15:33:05 -0300

tuxpaint (1:0.9.15+0.9.16rc5-2) unstable; urgency=low

  * Soften font dependencies from Recommends to Depends.
  * Update watch file.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 13 Oct 2006 09:10:07 -0300

tuxpaint (1:0.9.15+0.9.16rc5-1) unstable; urgency=low

  * New upstream release.
  * Fixed Thai font support. (Closes: #375947)
  * Fixed Greek and Simplified Chinese font support.
  * Added Arabic, Georgian, Gujarati, Hebrew, Hindi, Japanese, Traditional
    Chinese and Vietnamese.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 12 Oct 2006 14:18:21 -0300

tuxpaint (1:0.9.15b-3) unstable; urgency=low

  * Backported fix from CVS for clicking to the right of the colour palette.
    (Closes: #352556)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 12 Feb 2006 20:12:15 -0400

tuxpaint (1:0.9.15b-2) unstable; urgency=low

  * Improved 'already running' message and include FAQ in docs. (Closes: #347915)
  * Tweaked tuxpaint-icon.svg to attempt to work around suspected libart bug
    that hangs gnome-panel in some circumstances (see #349415 for details).


